Skip to content
Back to top
View this page

# BaseCoordinateFrame

class gwcs.coordinate_frames.BaseCoordinateFrame

  Bases: `ABC`

  API Definition for a Coordinate frame

  Attributes Summary

  `axes_names` | Names describing the axes of the frame.
  `axes_order` | The position of the axes in the frame in the transform.
  `axes_type` | An upcase string describing the type of the axis.
  `axis_physical_types` | The UCD 1+ physical types for the axes, in frame order.
  `name` | The name of the coordinate frame.
  `naxes` | The number of axes described by this frame.
  `reference_frame` | The reference frame of the coordinates described by this frame.
  `unit` | The units of the axes in this frame.
  `world_axis_object_classes` | The APE 14 object classes for this frame.
  `world_axis_object_components` | The APE 14 object components for this frame.

  Methods Summary

  `add_units`(arrays) | Add units to the arrays
  `remove_units`(arrays) | Remove units from the input arrays

  Attributes Documentation

  axes_names

    Names describing the axes of the frame.

  axes_order

    The position of the axes in the frame in the transform.

  axes_type

    An upcase string describing the type of the axis.

    Known values are `"SPATIAL", "TEMPORAL", "STOKES", "SPECTRAL", "PIXEL"`.

  axis_physical_types

    The UCD 1+ physical types for the axes, in frame order.

  name

    The name of the coordinate frame.

  naxes

    The number of axes described by this frame.

  reference_frame

    The reference frame of the coordinates described by this frame.

    This is usually an Astropy object such as `SkyCoord` or `Time`.

  unit

    The units of the axes in this frame.

  world_axis_object_classes

    The APE 14 object classes for this frame.

    See also

    `astropy.wcs.wcsapi.BaseLowLevelWCS.world_axis_object_classes`
  world_axis_object_components

    The APE 14 object components for this frame.

    See also

    `astropy.wcs.wcsapi.BaseLowLevelWCS.world_axis_object_components`

  Methods Documentation

  add_units(arrays: Quantity | ndarray | list[float]) → tuple[Quantity, ...] | Quantity

    Add units to the arrays

  remove_units(arrays: Quantity | ndarray | list[float]) → tuple[ndarray, ...]

    Remove units from the input arrays